<template>
	<v-table class="row-pointer mt-6" height="680" fixed-footer :hover="true">
		<thead>
			<tr>
				<th class="text-left">id</th>
				<th class="text-left">Username</th>
				<th class="text-left">Email</th>
				<th class="text-left">Phone</th>
				<th class="text-left">Credits</th>
				<th class="text-left">Status</th>
			</tr>
		</thead>

		<tbody
			v-if="nameSearchAndLimitEmployees"
			v-for="employee in nameSearchAndLimitEmployees"
			:key="employee.id"
			@click="openPageUser(employee.id, employee.name)"
		>
			<tr>
				<td>{{ employee.id }}</td>
				<td class="table__name">{{ employee.name }}</td>
				<td>{{ employee.email }}</td>
				<td>{{ employee.phone }}</td>
				<td>{{ employee.credit }}</td>
				<td v-if="employee.credit > 0">
					<span class="td__status-active">active</span>
				</td>
				<td v-else>
					<span class="td__status-block">blocked</span>
				</td>
			</tr>
		</tbody>

		<h4 v-else>User is not found!</h4>
	</v-table>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
	name: 'Table',

	props: {
		nameSearchAndLimitEmployees: {
			type: Array,
			default: () => [],
		},
	},

	computed: {
		...mapGetters(['getNameSearchAndLimitEmployees']),
	},

	methods: {
		openPageUser(id, name) {
			this.$router.push({ path: `/staff/${id}`, meta: { title: name } })
		},
	},
}
</script>

<style lang="scss">
.v-table {
	border: 1px solid #e4e4e4;
	border-top: none;

	th:first-child {
		border-top-left-radius: 10px;
	}

	th:last-child {
		border-top-right-radius: 10px;
		border-right: none;
		font-weight: 700;
	}

	thead {
		background-color: #f3f6f8;
		color: rgba(41, 49, 72, 0.45);
		font-size: 12px;
		font-weight: 700;
		line-height: 16px;
		letter-spacing: 1px;
		text-transform: uppercase;
	}
	td {
		border-top: 1px solid #e4e4e4;

		.td__status-active {
			border-radius: 6px;
			border: 1px solid #d2ecc7;
			background: #e4f5dd;
			color: #7fc75e;
			padding: 6px 15px;
			text-transform: uppercase;
			font-size: 10px;
			font-weight: 700;
			letter-spacing: 1px;
		}

		.td__status-block {
			border-radius: 6px;
			border: 1px solid #fcbebe;
			background: #fbd4d4;
			color: #e86e84;
			padding: 6px 10px;
			text-transform: uppercase;
			font-size: 10px;
			font-weight: 700;
			letter-spacing: 1px;
		}
	}
	tbody {
		border: 1px solid #e4e4e4;
		color: #293148;
		font-size: 15px;
		font-weight: 400;
		line-height: 22px;
		cursor: pointer;
	}
	.table__name {
		color: #7895ff;
	}
}
</style>
